# startsas README.md

         After Heasoft and SAS initialisations, the quickest way to start a
         working session with SAS is to run

                    startsas odfid=0122700101

         where the value given to the 'odfid' parameter is the ODF ID of an
         existing XMM-Newton Observation you want to work with.

         The startsas program will understand you want to get such Observation
         from the XMM-Newton Science Archive. The download will be done by
         means of a special version of the Python module 'astroquery' prepared
         to work with XMM-Newton data.

         By default data are obtained at level 'ODF' which provides only
         the raw observation data. The parameter named 'level' can be used to
         select an alternate level 'PPS', which will download the raw data and
         the output products resulting from processing such data with the
         XMM-Newton Pipeline.

         For level 'ODF', the file <odfid>.tar.gz is downloaded to a
         directory of your choice. You may set such directory by means of the
         parameter 'workdir'. If such directory does not exist, it is created
         new. If you do not set a specific working directory, it is assumed
         your working directory is where you started with startsas. Once the
         tar file <odfid>.tar.gz file s downloaded, it is unpacked into a
         subdirectory named <odfid>, within your working directory.

         For level 'PPS', all Pipeleine products are placed in <odfid>/pps.
         A link to the html including the Observation Summary
         (P<odfid>OBX000SUMMAR0000.HTM) is printed out.

         Instead of 'odfid', we can use the parameters 'sas_ccf' and 'sas_odf'
         to take already existing 'ccf.cif' and SAS summary files, as

             startsas sas_ccf=<path>/ccf.cif sas_odf=<path>/*SUM.SAS

         The program understands you want to use these ccf.cif and SAS
         summary file, in directory <path>,  to define SAS_CCF and SAS_ODF for
         subsequent SAS commands.

         Before using effectively these files the program will check them to see
         whether

         . The PATH keyword is written inside the SAS summary file
         . The mandatory file MANIFEST.NNNNNN (where NNNNNN is the AMS
         extraction number) is present

         to ensure they belong to a real ODF.

         For the 'ccf.cif' file, it only checks for its existence.
